# ApplicationFramework
TKCDF
CDM

# CDM_DataMapIteratorOfNamesDirectory Class Reference

`#include <CDM_DataMapIteratorOfNamesDirectory.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDM_DataMapIteratorOfNamesDirectory ()
Standard_EXPORT | CDM_DataMapIteratorOfNamesDirectory (const CDM_NamesDirectory &aMap)
Standard_EXPORT void | Initialize (const CDM_NamesDirectory &aMap)
Standard_EXPORT const TCollection_ExtendedString & | Key () const
Standard_EXPORT const Standard_Integer & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT CDM_DataMapIteratorOfNamesDirectory::CDM_DataMapIteratorOfNamesDirectory | ( |  | ) |

Standard_EXPORT CDM_DataMapIteratorOfNamesDirectory::CDM_DataMapIteratorOfNamesDirectory | ( | const CDM_NamesDirectory & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void CDM_DataMapIteratorOfNamesDirectory::Initialize | ( | const CDM_NamesDirectory & | aMap | ) |

Standard_EXPORT const TCollection_ExtendedString& CDM_DataMapIteratorOfNamesDirectory::Key | ( |  | ) | const

void CDM_DataMapIteratorOfNamesDirectory::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDM_DataMapIteratorOfNamesDirectory::operator new | ( | size_t | size | ) | `[inline]`

void* CDM_DataMapIteratorOfNamesDirectory::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Standard_Integer& CDM_DataMapIteratorOfNamesDirectory::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- CDM_DataMapIteratorOfNamesDirectory.hxx